Inhalte
Index 🔎︎

# Funktion MonthName [VBA]

Die Funktion MonthName gibt den lokalisierten Monatsnamen zu einer Zahl zurück.

Diese Konstante, diese Funktion oder dieses Objekt wird durch Platzierung der Anweisung Option VBASupport 1 vor dem auszuführenden Programmcode des Moduls aktiviert.

### Syntax:

            MonthName(Month as Integer [,Abbreviate as Boolean])

### Rückgabewert:

String

### Parameter:

Month: Wert zwischen 1 und 12, Januar bis Dezember, zu dem der lokalisierte Monatsname zurückgegeben werden soll.

Abbreviate: Optional. Ein boolescher Wert, der anzeigt, ob der Monatsname abgekürzt werden soll.

### Fehlercodes:

5 Ungültiger Prozeduraufruf

### Beispiel:

            REM  *****  BASIC  *****
            Option VBASupport 1
            Sub Example_MonthName
             Dim mBirthday as Integer
             mBirthday = 1
             print mBirthday &" "& MonthName(mBirthday,False)
            End Sub

Verwandte Themen

VBA – Zeit- und Datumsfunktionen